/*****************************************************************************
 * $CAMITK_LICENCE_BEGIN$
 *
 * CamiTK - Computer Assisted Medical Intervention ToolKit
 * (c) 2001-2014 UJF-Grenoble 1, CNRS, TIMC-IMAG UMR 5525 (GMCAO)
 *
 * Visit http://camitk.imag.fr for more information
 *
 * This file is part of CamiTK.
 *
 * CamiTK is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * CamiTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with CamiTK.  If not, see <http://www.gnu.org/licenses/>.
 *
 * $CAMITK_LICENCE_END$
 ****************************************************************************/

#include "MultiPicking.h"
#include "MultiPickingWidget.h"
#include "PickedPixelMap.h"

#include <ImageComponent.h>
#include <Application.h>

using namespace camitk;


// --------------- constructor -------------------
MultiPicking::MultiPicking (ActionExtension * extension) : Action (extension) {
    setName ("Multiple Picking");
    setDescription (tr("Action to manage several pixel points in an image (coordinates and index)."));
    setComponent ("ImageComponent");
    setFamily ("Image Processing");
    addTag (tr("Picking"));
    addTag(tr("Select Pixels"));
    actionWidget=NULL;
}

// --------------- getWidget --------------
QWidget * MultiPicking::getWidget() {
    //-- create the widget if needed
    if (!actionWidget) {
        actionWidget = new MultiPickingWidget();
    }

    //-- update the widget with a PickedPixelMap param
    actionWidget->updateComponent(dynamic_cast<ImageComponent *> (getTargets().last()));

    return actionWidget;
}
