/*****************************************************************************
 * $CAMITK_LICENCE_BEGIN$
 *
 * CamiTK - Computer Assisted Medical Intervention ToolKit
 * (c) 2001-2012 UJF-Grenoble 1, CNRS, TIMC-IMAG UMR 5525 (GMCAO)
 *
 * Visit http://camitk.imag.fr for more information
 *
 * This file is part of CamiTK.
 *
 * CamiTK is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * CamiTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with CamiTK.  If not, see <http://www.gnu.org/licenses/>.
 *
 * $CAMITK_LICENCE_END$
 ****************************************************************************/
#ifndef COMPONENTDESCRIPTIONWIDGET_H
#define COMPONENTDESCRIPTIONWIDGET_H

// Include GUI  automatically generated file
#include "ui_ComponentDescriptionWidget.h"

// includes from Qt
#include <QWidget>

/**
 * @ingroup group_sdk_application_wizard
 *
 * @brief
 * TODO Celine please comment here.
 *
 */
class  ComponentDescriptionWidget : public QWidget {

    Q_OBJECT;

public:
    ComponentDescriptionWidget(QWidget * parent);
    ~ComponentDescriptionWidget();

    void setToDefault(QString componentExtensionName);

    void setName(QString name);
    void setDescription(QString description);
    void setFileSuffix(QString suffix);
    void setRepresentation(QString representation);

    QString getComponentName();
    QString getComponentDescription();
    QString getSuffix();
    QString get3DRepresentation();

public slots:
    virtual void nextButtonClicked();
    virtual void cancelButtonClicked();

signals:
    void next();
    void cancel();

private:

    Ui::ComponentDescriptionWidget ui;

    QString componentExtensionName;
};
#endif
