/*****************************************************************************
 * $CAMITK_LICENCE_BEGIN$
 *
 * CamiTK - Computer Assisted Medical Intervention ToolKit
 * (c) 2001-2014 UJF-Grenoble 1, CNRS, TIMC-IMAG UMR 5525 (GMCAO)
 *
 * Visit http://camitk.imag.fr for more information
 *
 * This file is part of CamiTK.
 *
 * CamiTK is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * CamiTK is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with CamiTK.  If not, see <http://www.gnu.org/licenses/>.
 *
 * $CAMITK_LICENCE_END$
 ****************************************************************************/

// -- Core stuff
#include "Component.h"
#include "ComponentPopupMenu.h"

// -- QT stuff
#include <QMenu>

namespace camitk {
//-------------------------- constructor -------------------------------
ComponentPopupMenu::ComponentPopupMenu(Component *comp, QWidget* parent) : QMenu(comp->getName(), parent) {
    // store my data component
    myComponent = comp;
}

//-------------------------- addAction -------------------------------
QAction * ComponentPopupMenu::addAction(const QString name, const char * member, bool isCheckable) {
    QAction *action = QMenu::addAction(name, this, member);
    action->setCheckable(isCheckable);
    return action;
}


//-------------------------- addSeparator -------------------------------
QAction* ComponentPopupMenu::addSeparator() {
    return QMenu::addSeparator();
}

}

